<div class="container-form">
  <h1>User Registration</h1>
  <form novalidate (ngSubmit)="createUser(createUserForm.value)" #createUserForm="ngForm">
    <div class="col">
      <div class="form-control">
        <label for="fullName">Full Name:</label>
        <input name="fullName" type="text" ngModel #fullName="ngModel" id="fullName" required>
        <p class="explain-form">Type your name, ex: Adolfo Bastardo
        </p>
        <span class="error" *ngIf="fullName.invalid && fullName.touched">Required</span>
      </div>
      <div class="form-control">
        <label for="email">Email:</label>
        <input name="email" type="email" ngModel #email="ngModel" id="email" required>
        <p class="explain-form">Type your email, ex: abastardo@liberarte.org.ve
        </p>
        <span class="error" *ngIf="email.invalid && email.touched">Required</span>
      </div>
      <div class="form-control">
        <label for="city">City:
          <span>Optional</span>
        </label>
        <input name="city" type="text" ngModel #city="ngModel" id="city">
        <p class="explain-form">Type your city, ex: San Felipe</p>
      </div>
    </div>
    <div class="col">
      <div class="form-control">
        <h3>Ride in group?</h3>
        <div class="radio-group">
          <input type="radio" id="always-radio" name="rideInGroup" [ngModel]="this.radio" [checked]="this.radio === 'Always'" value="Always">
          <label for="always-radio">Always</label>
          <input type="radio" id="sometimes-radio" name="rideInGroup" [ngModel]="this.radio" [checked]="this.radio === 'Sometimes'"
            value="Sometimes">
          <label for="sometimes-radio">Sometimes</label>
          <input type="radio" id="never-radio" name="rideInGroup" [ngModel]="this.radio" [checked]="this.radio === 'Never'" value="Never">
          <label for="never-radio">Never</label>
        </div>
      </div>
      <div class="form-control">
        <h3>Days of the Week</h3>
        <div class="checkbox-group">
          <input name="dayOfWeek-1" [ngModel]="this.checkbox[0]" type="checkbox" id="sun-check" value="Sun">
          <label for="sun-check">Sun</label>
          <input name="dayOfWeek-2" [ngModel]="this.checkbox[1]" type="checkbox" id="mon-check" value="Mon">
          <label for="mon-check">Mon</label>
          <input name="dayOfWeek-3" [ngModel]="this.checkbox[2]" type="checkbox" id="tue-check" value="Tue">
          <label for="tue-check">Tue</label>
          <input name="dayOfWeek-4" [ngModel]="this.checkbox[3]" type="checkbox" id="wed-check" value="Wed">
          <label for="wed-check">Wed</label>
          <input name="dayOfWeek-5" [ngModel]="this.checkbox[4]" type="checkbox" id="thu-check" value="Thu">
          <label for="thu-check">Thu</label>
          <input name="dayOfWeek-6" [ngModel]="this.checkbox[5]" type="checkbox" id="fri-check" value="Fri">
          <label for="fri-check">Fri</label>
          <input name="dayOfWeek-7" [ngModel]="this.checkbox[6]" type="checkbox" id="sat-check" value="Sat">
          <label for="sat-check">Sat</label>
        </div>
      </div>

      <div class="form-control">
        <div class="button-group">
          <button type="reset">Cancel</button>
          <button type="submit" [disabled]="createUserForm.invalid">Submit</button>
        </div>
      </div>
    </div>
  </form>
  <div class="clear-fix"></div>
</div>
